# Amend a fault report Amend a Fault Report. Endpoint: POST /amendFaultReport Security: Certificate ## Request fields (application/xml): - `apiVersion` (string, required) The API version - `buyerIdentifier` (string, required) Unique identifier of the buyer - `sentAt` (string, required) The time this message was sent out. ISO 8601 date format - `messageId` (string, required) A message ID for correlation between requests and your response. - `reportDateTime` (string) The time this report was sent in. ISO 8601 date format - `reporterContactDetails` (object) - `reporterContactDetails.phone` (string) Phone number - `reporterContactDetails.email` (string) Email address - `reporterContactDetails.name` (string) Name - `endUserContactDetails` (object) - `serviceAffected` (string) The service that is affected by the issue - `buyerFaultReference` (string, required) Reference of the buyer - `maintainerFaultReference` (string) Reference of any incident unclosed on this service, which was opened by the buyer - `parentFaultReference` (string) The buyer’s reference for a pre-existing related fault (if present) - `faultDetails` (object) - `faultDetails.description` (string) Description of the fault - `faultDetails.type` (string) | Incident Types | | ----------------- | | Impaired Service | | Service Outage | | Performance Issue | - `faultDetails.faultStartTime` (string) The time this fault started. ISO 8601 date format - `faultDetails.faultLocation` (string) Location of the fault - `faultDetails.siteAccessDetails` (string) Do you have access to the site? If so, are there any details we’ll need to get in. - `faultDetails.siteAccessContactDetails` (object) - `faultDetails.triageComplete` (boolean) Whether triage completed - `faultDetails.triageFindings` (string) The response from a prior diagnostics call - `appointment` (object) - `appointment.appointmentDate` (string) Date of the appointment - `appointment.appointmentStartTime` (string) Appointment start time - `appointment.appointmentEndTime` (string) Appointment end time - `appointment.appointmentReservationKey` (string, required) The unique key for appointment reservation - `priorityLevel` (integer) The priority level - `comment` (object) Comment only records most recent comment, responsibility for comment history lies outside of Ticketing API. Only required if the buyer has made a comment in this amendment. - `comment.value` (string, required) Comment Text - `comment.commentedBy` (string, required) "buyer" when comment added by ISP | "seller" when comment added by CityFibre - `comment.commentedTime` (string, required) The time this comment added. ISO 8601 date format (UTC) - `updates` (array) - `updates.description` (string) Description of the update - `updates.updatedBy` (string) Filled in by the API - `updates.updatedTime` (string) Filled in by the API - `attachments` (array) - `attachments.attachment` (object) - `attachments.attachment.filename` (string, required) Name of the attachment - `attachments.attachment.url` (string) URL to the attachment - `attachments.attachment.uploaded` (boolean) Determines if the attachment is uploaded ## Response 200 fields (application/xml): - `apiVersion` (string, required) The API version - `buyerIdentifier` (string, required) Unique identifier of the buyer - `sentAt` (string, required) The time this message was sent out. ISO 8601 date format - `messageId` (string, required) A message ID for correlation between requests and your response. - `buyerFaultReference` (string, required) Reference of the buyer - `status` (string, required) Status of service - `responseCode` (integer, required) Response code - `attachments` (array) - `attachments.attachment` (object) - `attachments.attachment.filename` (string, required) Name of the attachment - `attachments.attachment.url` (string) URL to the attachment - `attachments.attachment.uploaded` (boolean) Determines if the attachment is uploaded ## Response 400 fields (application/xml): - `apiVersion` (string, required) The API version - `buyerIdentifier` (string, required) Unique identifier of the buyer - `sentAt` (string, required) The time this message was sent out. ISO 8601 date format - `messageId` (string, required) A message ID for correlation between requests and your response. - `buyerFaultReference` (string, required) Reference of the buyer - `status` (string, required) Status of service - `responseCode` (integer, required) Response code - `errorMessage` (object, required) Error message for the amend fault report rejection. ## Response 401 fields (application/xml): - `fault` (object, required) - `fault.faultcode` (string, required) Code related to the fault - `fault.faultmessage` (string, required) Name of the fault - `fault.detail` (string) Details about the fault ## Response 403 fields (application/xml): - `fault` (object, required) - `fault.faultcode` (string, required) Code related to the fault - `fault.faultmessage` (string, required) Name of the fault - `fault.detail` (string) Details about the fault ## Response 500 fields (application/xml): - `fault` (object, required) - `fault.faultcode` (string, required) Code related to the fault - `fault.faultmessage` (string, required) Name of the fault - `fault.detail` (string) Details about the fault